From 848eb5c7d27e392043ebadbd9c9c9a0f8d7a5f0a Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 7 Jan 2015 19:59:34 -0500
Subject: buglist: bug 7294: GuessOption: displayAsGF not set

--S 7 of 102
t1:=[0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
--R
--R
--R   (1)  [0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
--R                                               Type: List(NonNegativeInteger)
--E 7

--S 8 of 102
t2:=first guessADE first(t1,10)
--R
--R
--R   >> Error detected within library code:
--R   GuessOption: displayAsGF not set
--R
--R   Continuing to read the file...
--R
--E 8
---
 buglist                        |   24 +++++++++++++++++++++++-
 changelog                      |    2 ++
 patch                          |   32 +++++++++++++++++++-------------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 46 insertions(+), 14 deletions(-)

diff --git a/buglist b/buglist
index 4a2abbc..fbd5c67 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7294: 
+bug 7295: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,28 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7294: GuessOption: displayAsGF not set
+
+--S 7 of 102
+t1:=[0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
+--R 
+--R
+--R   (1)  [0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
+--R                                               Type: List(NonNegativeInteger)
+--E 7
+
+--S 8 of 102
+t2:=first guessADE first(t1,10)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
+--E 8
+
+=========================================================================
 bug 7293: )trace EXPR )math
 
 )trace EXPR )math
diff --git a/changelog b/changelog
index 72e859b..4d85bef 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150107 tpd src/axiom-website/patches.html 20150107.05.tpd.patch
+20150107 tpd buglist: bug 7294: GuessOption: displayAsGF not set
 20150107 tpd src/axiom-website/patches.html 20150107.04.tpd.patch
 20150107 tpd bug 7293: )trace EXPR )math
 20150107 tpd src/axiom-website/patches.html 20150107.03.tpd.patch
diff --git a/patch b/patch
index 25f8935..66b2457 100644
--- a/patch
+++ b/patch
@@ -1,15 +1,21 @@
-buglist: bug 7293: )trace EXPR )math
+buglist: bug 7294: GuessOption: displayAsGF not set
 
-)trace EXPR )math
- 
-   Parameterized constructors traced:
-      EXPR
-(1) -> exp(x)
-1<enter Expression.coerce,360 : 
- arg1= x
-...
-                     arg1= x
-                                                                                                                                                                                   180<enter Expression.coerce,360  
-   >> System error:
-   Bind stack overflow.
+--S 7 of 102
+t1:=[0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
+--R 
+--R
+--R   (1)  [0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
+--R                                               Type: List(NonNegativeInteger)
+--E 7
+
+--S 8 of 102
+t2:=first guessADE first(t1,10)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
+--E 8
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b6c3f13..b44aa2c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4930,6 +4930,8 @@ buglist: bug 7291: cos(2/3@Float) parses wrong<br/>
 buglist: bug 7292: )with API fails<br/>
 <a href="patches/20150107.04.tpd.patch">20150107.04.tpd.patch</a>
 bug 7293: )trace EXPR )math<br/>
+<a href="patches/20150107.05.tpd.patch">20150107.05.tpd.patch</a>
+buglist: bug 7294: GuessOption: displayAsGF not set<br/>
  </body>
 </html>
 
-- 
1.7.5.4

